FPUTWS(3)

NAME
fputws, fputws_l - output a line of wide characters to a stream

SYNOPSIS
#include <stdio.h>
#include <wchar.h>
int
fputws(const wchar_t * restrict ws, FILE * restrict fp);
#include <xlocale.h>
int
fputws_l(const wchar_t * restrict ws, FILE * restrict fp, locale_t loc);

DESCRIPTION
The fputws() and fputws_l() functions write the wide-character string pointed to by ws to the stream pointed to by fp. The function fputws_l() use the encoding of the locale provided as parameter, while fputws() use the encoding of the current locale.

RETURN VALUES
The fputws() and fputws_l() functions return 0 on success and -1 on error.

ERRORS

[EBADF]
    The fp argument supplied is not a writable stream.

These functions may also fail and set errno for any of the errors specified for the routine write(2).

SEE ALSO
ferror(3), fputs(3), putwc(3), stdio(3) xlocale(3)

STANDARDS
The fputws() function conforms to p1003.1-2001. The fputws_l() is a Darwin extension.